summaryrefslogtreecommitdiffstats
path: root/debian/tests
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-29 04:24:24 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-29 04:24:24 +0000
commite924fa27b9b060b0b78d00d8c7a9b5f40e7d968e (patch)
tree465d1177e2acd4df5fa27d9625b04ed22105655e /debian/tests
parentAdding upstream version 2.1.0. (diff)
downloadmarkdown-it-py-debian.tar.xz
markdown-it-py-debian.zip
Adding debian version 2.1.0-5.debian/2.1.0-5debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control11
-rw-r--r--debian/tests/unittests20
2 files changed, 31 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..610303a
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,11 @@
+Tests: unittests
+Depends: python3-all,
+ python3-commonmark,
+ python3-markdown,
+ python3-mistletoe,
+ python3-mistune,
+ python3-psutil,
+ python3-pytest,
+ python3-pytest-benchmark,
+ python3-pytest-regressions,
+ @,
diff --git a/debian/tests/unittests b/debian/tests/unittests
new file mode 100644
index 0000000..bd75661
--- /dev/null
+++ b/debian/tests/unittests
@@ -0,0 +1,20 @@
+#!/bin/sh
+set -efu
+
+pys="$(py3versions -s 2> /dev/null)"
+
+
+cp -a tests "$AUTOPKGTEST_TMP"
+cp -a benchmarking "$AUTOPKGTEST_TMP"
+
+cd "$AUTOPKGTEST_TMP"
+
+
+for py in $pys; do
+ echo "=== $py ==="
+ # ignore linkify tests until linkify is package in Debian #997970
+ $py -m pytest --ignore tests/test_linkify.py \
+ --ignore tests/test_port/test_fixtures.py \
+ -k 'not test_linkify' 2>&1
+ $py -m pytest benchmarking/bench_core.py benchmarking/bench_packages.py 2>&1
+done